code stringlengths 2 1.05M | repo_name stringlengths 5 110 | path stringlengths 3 922 | language stringclasses 1
value | license stringclasses 15
values | size int64 2 1.05M |
|---|---|---|---|---|---|
# check if NFS user is nobody - for rsync restore this is a NOGO
nfs_uid=$(ls -l $BUILD_DIR/outputfs | tail -1 | awk '{print $3}')
case "$nfs_uid" in
"nobody"|"-1"|"-2"|"4294967294")
Error "RBME rsync restore will result in a broken system (owner=$nfs_uid).
Please add in $CONFIG_DIR/local.conf BACKUP_OPTION... | jayfurmanek/rear | usr/share/rear/verify/RBME/default/15_check_nobody_uid_nfs.sh | Shell | gpl-2.0 | 361 |
#!/bin/bash
# Copyright 2016 gRPC authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed t... | kumaralokgithub/grpc | tools/run_tests/dockerize/docker_run.sh | Shell | apache-2.0 | 1,359 |
#!/bin/bash
# go to the output directory and create a new git repo
cd ./*wiki/output || exit 1 # abort script if folder does not exists
git init
# inside this git repo we'll pretend to be a new user
git config user.name "Travis CI"
git config user.email "${GH_EMAIL}"
# The first and only commit to this new Git repo ... | buggyj/TW5-auto-publish2gh-pages | publish.sh | Shell | mit | 841 |
#!/bin/sh
. "${TEST_SCRIPTS_DIR}/unit.sh"
cmd="$ONNODE lvsmaster hostname"
define_test "$cmd" "no lvsmaster"
ctdb_set_output 255 <<EOF
There is no LVS master
EOF
required_result 1 <<EOF
onnode: No lvsmaster available
EOF
simple_test $cmd
| rootfs/ctdb | tests/onnode/0081.sh | Shell | gpl-3.0 | 244 |
#!/bin/bash
set -e
# Setup and start Sauce Connect for your TravisCI build
# This script requires your .travis.yml to include the following two private env variables:
# SAUCE_USERNAME
# SAUCE_ACCESS_KEY
# Follow the steps at https://saucelabs.com/opensource/travis to set that up.
#
# Curl and run this script as part ... | jmatar-sd/power-glass | theme/styles/TODO/angular.js-master/lib/sauce/sauce_connect_setup.sh | Shell | apache-2.0 | 1,618 |
#!/bin/sh
# Sets up olsrd
. /lib/functions.sh
. $dir/functions.sh
local protocols="4"
if [ "$ipv6_enabled" = 1 ] && [ "$has_ipv6" == "1" ]; then
protocols="4 6"
fi
clean_config() {
# Clean the config, remove interface wlan
handle_interface() {
config_get interface "$1" interface
i... | unigent/openwrt-3.10.14 | package/ramips/ui/luci-mtk/src/contrib/package/meshwizard/files/usr/bin/meshwizard/helpers/setup_olsrd.sh | Shell | gpl-2.0 | 3,823 |
#!/bin/sh
### quick sanity test for the binutils.
###
# This file was written K. Richard Pixley.
# Copyright (C) 2007-2015 Free Software Foundation, Inc.
# This program is part of GNU Binutils.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public Licens... | selmentdev/selment-toolchain | source/binutils-latest/binutils/sanity.sh | Shell | gpl-3.0 | 1,633 |
#!/bin/sh
if [ -x /usr/bin/python2 ]; then
python2 contemplate_koans.py
else
python contemplate_koans.py
fi
| tokyo-jesus/university | src/python/koans/python2/run.sh | Shell | unlicense | 117 |
# prompt.bash
# Author: Noah Friedman <friedman@prep.ai.mit.edu>
# Created: 1992-01-15
# Public domain
# $Id: prompt.bash,v 1.2 1994/10/18 16:34:35 friedman Exp $
# Commentary:
# Code:
#:docstring prompt:
# Usage: prompt [chars]
#
# Various preformatted prompt strings selected by argument. For a
# list of available... | tavaresdong/courses | uw_cse333/hw/projdocs/test_tree/bash-4.2/examples/scripts.noah/prompt.bash | Shell | mit | 1,055 |
DIRETORIO_PROJETO=`pwd` # significa: print working directory ;)
NOME_SCRIPT=${0##*/}
echo "Executando $NOME_SCRIPT Projeto em: $DIRETORIO_PROJETO"
/home/superBits/superBitsDevOps/devOpsProjeto/executarAcao.sh $DIRETORIO_PROJETO $NOME_SCRIPT
| salviof/SBJSFComp | ws/testarProjeto.sh | Shell | lgpl-3.0 | 242 |
#!/usr/bin/env bash
set -e
. include "file" "zip" "dir" "symlink" "user" "apt"
install_consul() {
local VERSION="$1"
file.is.downloaded "https://releases.hashicorp.com/consul/${VERSION}/consul_${VERSION}_linux_amd64.zip" "/tmp/consul_${VERSION}_linux_amd64.zip"
dir.is.present /opt/consul
zip.is.extracted "/tmp... | wmhilton/production-ubuntu | extras/consul/install.sh | Shell | isc | 1,634 |
#! /bin/bash
cd ..
sbt 'runMain filterAccess.runnables.SecureServiceStarter -m /tmp/mgmtDSU -o 6130 -p 6230 -d -s ndn2013 -t DSU'
| cn-uofbasel/nfn-scala | filterAccess-starter/startDSU.sh | Shell | isc | 132 |
#!/bin/sh
CURRENT_DIR="$(cd "$(dirname "${0}")" && pwd)"
. "${CURRENT_DIR}/helpers.sh"
_list_plugins_helper
_done_message_helper
# vim: set ts=8 sw=4 tw=0 ft=sh :
| chilicuil/tundle | scripts/list_plugins.sh | Shell | mit | 167 |
# sandbox is a vm on my personal laptop (pro)
if [ "$HOST" = "sandbox" ]; then
alias ls="ls --color"
source /etc/bash_completion.d/virtualenvwrapper
fi
| styts/oh-my-zsh | custom/sandbox.zsh | Shell | mit | 161 |
#!/bin/bash
# MAKE SURE YOU FIRST SETUP KEYS
# USING THE COMMANDS:
# ssh-keygen -t rsa
# ssh-copy-id localuser@studvm38-p.cs.ucl.ac.uk
pg_dump -C postgres | bzip2 | ssh localuser@studvm38-p.cs.ucl.ac.uk "psql postgres -c 'DROP DATABASE postgres'; unzip2 | psql postgres"
| HappiApi/DAAH | scripts/backup.sh | Shell | mit | 273 |
#!/bin/bash
###################################
## Ask infos
###################################
# MySQL base
read -p "MySQL base : " mysql_base;
if [[ $mysql_base == '' ]]; then
mysql_base="project-${random_mysql_base}";
fi;
echo -e "- MySQL base is : ${CLR_GREEN}${mysql_base}${CLR_DEF}.";
# Get MySQL values
re... | Darklg/InteGentoMageTools | inc/functions/ask-infos.sh | Shell | mit | 1,058 |
mysql-ctl start
sudo service apache2 restart
| arevaloarboled/GranScala | APP/up.sh | Shell | mit | 45 |
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for USN-2532-1
#
# Security announcement date: 2015-03-16 00:00:00 UTC
# Script generation date: 2017-01-01 21:04:22 UTC
#
# Operating System: Ubuntu 14.10
# Architecture: x86_64
#
# Vulnerable packages fix on version:
# - cups-browsed:1.0.61-0ubuntu2.1
#
# Last ... | Cyberwatch/cbw-security-fixes | Ubuntu_14.10/x86_64/2015/USN-2532-1.sh | Shell | mit | 633 |
#!/usr/bin/env bash
declare -A params=$6 # Create an associative array
declare -A headers=${9} # Create an associative array
declare -A rewrites=${10} # Create an associative array
paramsTXT=""
if [ -n "$6" ]; then
for element in "${!params[@]}"
do
paramsTXT="${paramsTXT}
fastcgi_param ${el... | laravel/homestead | scripts/site-types/frontcontroller.sh | Shell | mit | 2,196 |
#!/bin/sh
set -eo pipefail -o nounset
cat << EOF > grch37_to_grch38.py
import os
import sys
import gzip
gtf_file = sys.argv[1]
bed_file = sys.argv[2]
transcript_dict = dict()
gene_dict = dict()
header = ["chrom","source","feature","start","end","score","strand","frame","attribute"]
with gzip.open(gtf_file, "rt", e... | gogetdata/ggd-recipes | recipes/genomics/Homo_sapiens/hg38/hg38-missense-z-score-exac-v1/recipe.sh | Shell | mit | 5,371 |
#!/bin/bash
set -e
COMPAT_TABLE_COMMIT=163aacb6f93e325231d578e31c03141cd9086dbb
GIT_HEAD=build/compat-table/.git/HEAD
if [ -d "build/compat-table" ]; then
cd build/compat-table
commit="$(git rev-parse HEAD)"
cd ../..
if [ $commit == $COMPAT_TABLE_COMMIT ]; then
exit 0
fi
fi
rm -rf build/compat-table
m... | jridgewell/babel | packages/babel-compat-data/scripts/download-compat-table.sh | Shell | mit | 511 |
#!/bin/bash
tmux new-session -s "$1" -d
| tatic0/yatmow | tmn.sh | Shell | mit | 42 |
# Copyright (c) Facebook, Inc. and its affiliates. All Rights Reserved
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
cd "${DIR}/.."
pwd
echo $NM
echo $C
python merge_support_docs.py -n $NM -c $C
| facebookresearch/ParlAI | parlai/tasks/eli5/data_creation/slurm_scripts/eli_merge_docs.sh | Shell | mit | 222 |
#!/bin/sh
#
# fix-zoom-ics.sh
# Copyright (C) 2021 Olaf Lessenich <xai@linux.com>
#
# Distributed under terms of the MIT license.
#
if grep -q 'BEGIN:VTIMEZONE' $1
then
>2 echo "VTIMEZONE already present. Quitting."
return 0
fi
if grep -vq 'METHOD:REQUEST' $1
then
sed -i '/^BEGIN:VEVENT/i \
METHOD:REQUEST' $1
fi
... | xai/scripts | fix-zoom-ics.sh | Shell | mit | 770 |
#!/bin/bash
# Copyright (c) Facebook, Inc. and its affiliates.
#
# This source code is licensed under the MIT license found in the
# LICENSE file in the root directory of this source tree.
assert_ok "$FLOW" check-contents test.js < test.js
| samwgoldman/flow | tests/typecheck-contents-error-suppression/test.sh | Shell | mit | 241 |
shell sleep 3
target remote 192.168.1.56:2345
file ua_blinker
br main
continue | plt-tud/PLT_MRT_ARM-RPi2 | Vorlesungsbeispiele/UA_PiSensorServer/gdbremote.sh | Shell | mit | 78 |
#!/bin/bash
# The MIT License
#
# Copyright (c) 2011 daniperez
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, ... | daniperez/roadef12-common | scripts/all_metrics.sh | Shell | mit | 1,672 |
#!/bin/bash
sh collect.sh MergeSort m_log.txt m_counts.txt m_times.txt m_avgcounts.txt m_avgtimes.txt
sh collect.sh QuickSort q_log.txt q_counts.txt q_times.txt q_avgcounts.txt q_avgtimes.txt | eddief/algorithms | Sorting/scripts/main.sh | Shell | mit | 192 |
#!/bin/bash
IPA_PATH="${XCS_ARCHIVE}"
echo "starting trigger for $IPA_PATH"
sudo rm -rf /tmp/com.yourdomain/hockey/
sudo mkdir -p /tmp/com.yourdomain/hockey/
sudo chown 777 /tmp/com.yourdomain/hockey/
TMP_PATH="/tmp/com.yourdomain/hockey/YourAppName.xcarchive"
sudo mv -f "$IPA_PATH" "$TMP_PATH"
sudo chown 777 /tmp/com.... | ktafel/bot-shell-scripts | post_build_trigger.sh | Shell | mit | 459 |
#!/usr/bin/env bash
set -e
. deploy/functions.sh
teardown_apps | kornysietsma/ci-spike-sample-app | kill-service.sh | Shell | mit | 65 |
#!/bin/bash
set -e
echo Starting RabbitMQ server...
rabbitmq-server --hostname localhost &> /dev/null &
echo Waiting for the server to get ready...
for i in {30..0}; do
if rabbitmqctl -t 1 list_queues &> /dev/null; then
break
fi
echo 'RabbitMQ is not ready yet...'
sleep... | cenkalti/kuyruk | rabbitmq/init.sh | Shell | mit | 644 |
wget http://localhost:9999/1/detection/pause -q -O -
wget http://localhost:9999/2/detection/pause -q -O -
| geco/remote-video | detectionstop.sh | Shell | mit | 106 |
#!/bin/bash
source /etc/jenkins-bucket-config
if [[ -n ${JENKINS_HOME_S3_BUCKET_NAME} ]]; then
cd ${JENKINS_HOME}
tar --exclude 'war/*' --exclude 'workspace/*' -czf /tmp/jenkins_home.tar.gz .
if [[ -f /tmp/jenkins_home.tar.gz ]]; then
# Do the copy to a new location so interruptions during copy don't corru... | UKHomeOffice/jenkins-docker-aws | jenkins_backup.sh | Shell | mit | 675 |
#!/bin/bash
# **** Update me when new Xcode versions are released! ****
PLATFORM="platform=iOS Simulator,OS=14.0,name=iPhone 11"
SDK="iphonesimulator"
# It is pitch black.
set -e
function trap_handler() {
echo -e "\n\nOh no! You walked directly into the slavering fangs of a lurking grue!"
echo "**** You have... | marmelroy/Localize-Swift | build.sh | Shell | mit | 1,137 |
#!/bin/bash
javac -classpath /usr/local/hadoop/share/hadoop/common/hadoop-common-2.7.2.jar:/usr/local/hadoop/share/hadoop/mapreduce/hadoop-mapreduce-client-core-2.7.2.jar:/usr/local/hadoop/share/hadoop/common/lib/commons-cli-1.2.jar *.java
jar cvf vertexcount.jar *.java *.class
rm *.class
| hybrideagle/big-data-pagerank | vertexcount/build.sh | Shell | mit | 292 |
_ walkd "$@" \
| _ ifset "$ARCS_DATE_YM" \
_ having "date_ym" "$ARCS_DATE_YM" \
| _ ifset "$ARCS_DATE_Y" \
_ having "date_y" "$ARCS_DATE_Y" \
| _ gmap -s date_ym _ mkidx-ym {} \
| tyn/arcs | pkg/mkidx/mkidx-sub.sh | Shell | mit | 188 |
if [ ! -d "$HOME/.nvm" ]
then
echo " Installing nvm for you."
curl https://raw.githubusercontent.com/creationix/nvm/v0.24.0/install.sh | zsh > /tmp/nvm-install.log
fi
| smathson/olddotfiles | node/install.sh | Shell | mit | 172 |
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for CESA-2014:1392
#
# Security announcement date: 2014-10-20 18:09:23 UTC
# Script generation date: 2017-01-13 21:13:25 UTC
#
# Operating System: CentOS 6
# Architecture: x86_64
#
# Vulnerable packages fix on version:
# - kernel-abi-whitelists.noarch:2.6.32-504.... | Cyberwatch/cbw-security-fixes | CentOS_6/x86_64/2014/CESA-2014:1392.sh | Shell | mit | 2,048 |
# Pull the official mongo image and run it. It will fail if container mongodb already exists
docker run --net=td_bridge --name mongodb -d -p 37017:27017 mongo
| taxbase/tb-core | scripts/runmongo.sh | Shell | mit | 160 |
#!/bin/bash
# Titulo: Instalación y configuración open versión
# Fecha: 23/12/16
# Autor: Carlos de la Torre
# Versión: 1.0
# Descripción: Instalación de Java versión open source, la actualización de esta versión es mas sencilla por que se realiza a tráves de los repositorios de fedora
# Opcion... | elsudano/Fedora | server-scripts/install-open-java.sh | Shell | mit | 3,868 |
#!/bin/bash
OH_MY_ZSH_OWNER=$(stat -c '%U' "$HOME/.oh-my-zsh")
ZSHRC_OWNER=$(stat -c '%U' "$HOME/.zshrc")
if [ "$OH_MY_ZSH_OWNER" != "$USER" ]; then
echo .oh-my-zsh directory is not owned by the correct user
exit 1
fi
if [ "$ZSHRC_OWNER" != "$USER" ]; then
echo .zshrc is not owned by the correct user
exit 1
... | jmptable/jmptable.github.io | tests/test_zsh.sh | Shell | mit | 324 |
#!/usr/bin/env bash
###############################################################################
# App Store
###############################################################################
# Check for software updates daily, not just once per week
defaults write com.apple.SoftwareUpdate ScheduleFrequency -int 1
#... | joeyhoer/starter | system/app-store.sh | Shell | mit | 1,072 |
#!/bin/bash
if [[ -n "$1" ]]
then
git diff
else
echo 'to see the differences between the last commit '
echo ' and what is changed right now'
echo ''
echo ' ex : this. nonSense'
fi
| a7xr/scr_lin | git_diff.sh | Shell | mit | 186 |
#!/bin/sh
# CYBERWATCH SAS - 2016
#
# Security fix for RHSA-2012:1139
#
# Security announcement date: 2012-08-03 01:16:00 UTC
# Script generation date: 2016-05-12 18:10:56 UTC
#
# Operating System: Red Hat 6
# Architecture: x86_64
#
# Vulnerable packages fix on version:
# - bind-dyndb-ldap.x86_64:1.1.0-0.9.b1.el6... | Cyberwatch/cbw-security-fixes | Red_Hat_6/x86_64/2012/RHSA-2012:1139.sh | Shell | mit | 820 |
#!/usr/bin/env bash
./curl.sh a
./curl.sh b
./curl.sh c
./curl.sh d
./curl.sh e
| rads/rsdp | bin/create.sh | Shell | mit | 80 |
#!/bin/sh
script_path=`readlink -f $0`
script_dir=`dirname $script_path`
[ -z $XDG_CONFIG_HOME ] && XDG_CONFIG_HOME=$HOME/.config
[ -z $XDG_DATA_HOME ] && XDG_DATA_HOME=$HOME/.local/share
[ -z $XDG_CACHE_HOME ] && XDG_CACHE_HOME=$HOME/.cache
[ -d $XDG_CONFIG_HOME ] || mkdir -p $XDG_CONFIG_HOME
[ -d $XDG_DATA_HOME ] ... | h-youhei/myconfig | xdg/install.sh | Shell | mit | 562 |
#!/bin/sh
if which brew >/dev/null 2>&1; then
brew() {
case "$1" in
cleanup)
(cd "$(brew --repo)" && git prune && git gc)
command brew cleanup
command brew prune
rm -rf "$(brew --cache)"
;;
bump)
... | chiragraman/dotfiles | homebrew/aliases.zsh | Shell | mit | 519 |
#!/bin/bash
# user can config the following configs, then package.
INSTALL=/usr/local/srs
##################################################################################
##################################################################################
##############################################################... | madhawa/simple-rtmp-server | trunk/scripts/install.sh | Shell | mit | 3,597 |
#!/bin/bash
function current {
echo `git rev-parse --abbrev-ref HEAD`
}
current_branch=$(current)
if [ $# -gt 1 ]; then
source_branch="$2"
else
source_branch="$current_branch"
fi;
function isUp2Date {
current=$(current)
local a=`git rev-parse $current`
local b=`git rev-parse origin/$current`... | Inscure/git-deploy | bin/deploy.sh | Shell | mit | 1,936 |
#! /bin/bash
set -euo pipefail
docker build -f Dockerfile.builder -t manastech/rancher-autoredeploy-builder .
docker run --rm -v `pwd`/build:/build:rw manastech/rancher-autoredeploy-builder
echo "Binary for Ubuntu is in `pwd`/build/rancher-autoredeploy"
| manastech/rancher-autoredeploy | build.sh | Shell | mit | 256 |
#!/bin/sh
# base16-shell (https://github.com/chriskempson/base16-shell)
# Base16 Shell template by Chris Kempson (http://chriskempson.com)
# Atelier Seaside scheme by Bram de Haan (http://atelierbramdehaan.nl)
# This script doesn't support linux console (use 'vconsole' template instead)
if [ "${TERM%%-*}" = 'linux' ];... | aruiz14/dotfiles | experimental-zsh-wincent/.zsh/base16-shell/scripts/base16-atelier-seaside.sh | Shell | mit | 3,987 |
# command to get storage space in mongodb
# mongo -u <adminUsername> -p <password>
use admin
db.serverStats()
| dishitd/monogoadmin | commandList.sh | Shell | mit | 110 |
#!/bin/sh
set -x
# tune sysctl
echo "net.ipv6.conf.all.disable_ipv6 = 1" >> /etc/sysctl.conf
sysctl -p
# set timezone
echo "Asia/Hong_Kong" | tee /etc/timezone
dpkg-reconfigure --frontend noninteractive tzdata
# update system
#apt-get -y update
#apt-get -y upgrade
| haomingz/vagrant | ubuntu/scripts/base.sh | Shell | mit | 269 |
#!/bin/bash
case "$1" in
develop)
type docker-compose >/dev/null 2>&1 || { echo >&2 "docker-compose is required but it's not installed. Aborting."; exit 1; }
docker-compose -f docker-compose-develop.yml build && docker-compose -f docker-compose-develop.yml up
;;
test)
type dock... | gfw-api/gfw-forms-api | forms.sh | Shell | mit | 679 |
#!/bin/bash
#
# Some error injection tests
#
set -x
for i in 1 2 3 4; do
echo "Heap alloc inject: $i"
mkdir -p tmp/error-inject && rm -rf tmp/error-inject/duk tmp/error-inject/prep
python2 tools/configure.py --output-directory tmp/error-inject/prep --source-directory ./src-input --config-metadata config --line-di... | svaarala/duktape | tests/shell/inject/error_inject_test.sh | Shell | mit | 1,138 |
#!/bin/bash
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
cd $DIR/..
rm -rf lib
function pipinstall () {
if [[ $(which pip) == '' ]]; then
echo "ERROR! No pip installed. Try installing either python3 pip or docker"
exit -1
fi
pip install aws-acm-cert-validator==0.1.11 -t lib
}
if ... | base2Services/ciinabox-ecs | lambdas/acm_issuer_validator/lib/install.sh | Shell | mit | 497 |
#!/usr/bin/env python
#-*- coding: utf-8 -*-
import json
from oslo_config import cfg
from common_func import request_info
gateway_opts = []
gateway_opts.append(cfg.StrOpt('ipaddress', default=[],
help='gateway ipaddress'))
CONF = cfg.CONF
CONF.register_cli_opts(gateway_opts, 'Gateway')
######... | ttsubo/simpleRouter | rest-client/post_gateway.sh | Shell | mit | 1,114 |
#!/bin/sh
sudo apt-get update && sudo apt-get upgrade -y
sudo apt install git zsh curl xclip
sh -c "$(curl -fsSL https://raw.githubusercontent.com/robbyrussell/oh-my-zsh/master/tools/install.sh)"
# Dislable capslock
setxkbmap -option "caps:none"
setxkbmap -option "shift:both_capslock" | abergie/dotfiles | linux/setup.sh | Shell | mit | 289 |
#!/bin/bash
# The main goal of this file is to be used when a brand-new computer has to be
# quickly set up.
# This file NEEDS to be executed with root privileges.
COL="\033[0;36m" # cyan
NC="\033[0m"
install_bicon(){
cd /tmp
git clone https://github.com/behdad/bicon && cd bicon
./autogen.sh && ./confi... | Marrakchino/dotfiles | startup.sh | Shell | mit | 3,174 |
# The rest of my fun git aliases
alias gl='git pull origin HEAD'
alias glog="git lg"
alias gp='git push origin HEAD'
alias gd='git diff'
alias gc='git commit'
alias gca='git commit -a'
alias gcm='git commit -m'
alias gco='git checkout'
alias gb='git branch'
alias gs='git status -sb'
alias grm="git diff --diff-filter=D ... | betamax/dotfiles | git/aliases.zsh | Shell | mit | 354 |
‘hello’ | grncdr/js-shell-parse | tests/fixtures/shellcheck-tests/single-quoted3/source.sh | Shell | mit | 11 |
#!/usr/bin/env bash
for DISCOUNT in 0.0 0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9 1.0
do
$LVSR/bin/run.py search ../main_best.tar $LVSR/exp/ted/configs/ted1.yaml monitoring.search.char_discount $DISCOUNT monitoring.search.beam_size 10 >dev.bs10.cd$DISCOUNT
done
| rizar/actor-critic-public | exp/ted/choose_cd3.sh | Shell | mit | 267 |
export LSCOLORS="exfxcxdxbxegedabagacad"
export CLICOLOR=true
fpath=($DOTFILES/functions $fpath)
autoload -U $DOTFILES/functions/*(:t)
HISTFILE=~/.zsh_history
HISTSIZE=10000
SAVEHIST=10000
setopt NO_BG_NICE # don't nice background tasks
setopt NO_HUP
setopt NO_LIST_BEEP
setopt LOCAL_OPTIONS # allow functions to hav... | DavidPD/dotfiles | zsh/config.zsh | Shell | mit | 1,593 |
#!/bin/bash
# This script purposed to install some recently used packages
# I have wrote it to speed up initial ubuntu tuning after clean installation
echo "Ubuntu updated started"
# ================================================================
# Add repositories
# =================================================... | akalinkin/ubuntu-starter | setup.sh | Shell | mit | 2,238 |
#!/bin/bash
# script from: https://gist.github.com/peoplesbeer/8af70a90e7eb1c66510b
for file in "$@"
do
s=${file##*/}
base=${s%.svg}
echo 'Converting' $file'...'
mkdir -p out
convert -density 1200 -background none -resize "50x50" "${file}" "out/${base}@2x.png"
convert -density 1200 -background none -r... | joerocca/GitHawk | Design/gen-icons.sh | Shell | mit | 505 |
gcc -D INCLUDE_DEBUGGING_SUPPORT -I ./Framework -I ./ -I /usr/include/SDL2/ -fno-exceptions *.cpp Framework/*.cpp -L/usr/lib -lSDL2 -o fredii
| paulscottrobson/fred | Emulator/build_on_arch_linux.sh | Shell | mit | 142 |
#!/bin/bash
#SBATCH --partition=mono
#SBATCH --ntasks=1
#SBATCH --time=4-0:00
#SBATCH --mem-per-cpu=8000
#SBATCH -J Deep-RBM_DBM_7_bot_bin_PARAL_base
#SBATCH -e Deep-RBM_DBM_7_bot_bin_PARAL_base.err.txt
#SBATCH -o Deep-RBM_DBM_7_bot_bin_PARAL_base.out.txt
source /etc/profile.modules
module load gcc
module load matla... | aciditeam/matlab-ts | jobs/deepJobs_RBM_DBM_7_bot_bin_PARAL_base.sh | Shell | mit | 646 |
# my-alias
alias bye="exit"
alias rm='rm -i'
alias g="git"
alias p="cd ~/proyectos/"
alias c="cd ~/proyectos/cursos-lab/"
alias te="cd ~/proyectos/test/"
alias aku="cd ~/proyectos/myProy/wp-content/themes/boilerplate"
alias gu="gulp"
alias gr="grunt"
alias v="vim"
alias t="tree -I 'node_modules|dist'"
alias xfa="sudo"
... | kevinrodbe/my-DotFiles | config/.aliases.sh | Shell | mit | 9,964 |
#!/system/bin/sh
# See the file "license.terms" for information on usage and redistribution of
# this file, and for a DISCLAIMER OF ALL WARRANTIES.
# TODO Install anything here
for curr_arg in "$@"; do
if echo "$curr_arg" | grep -qxe '--config='; then
#readconfig "$(echo "$curr_arg" | grep -ove '--config=')"
... | Joe136/LinuxOnAndroid | rootfs/.install.sh | Shell | cc0-1.0 | 476 |
#!/bin/bash -x
#
# Generated - do not edit!
#
# Macros
TOP=`pwd`
CND_CONF=default
CND_DISTDIR=dist
TMPDIR=build/${CND_CONF}/${IMAGE_TYPE}/tmp-packaging
TMPDIRNAME=tmp-packaging
OUTPUT_PATH=dist/${CND_CONF}/${IMAGE_TYPE}/20202_c_txrx2.X.${IMAGE_TYPE}.${OUTPUT_SUFFIX}
OUTPUT_BASENAME=20202_c_txrx2.X.${IMAGE_TYPE}.${OUT... | tocache/picomones | UPC Microcontroladores 2020-2/Semana 13/20202_c_txrx2.X/nbproject/Package-default.bash | Shell | cc0-1.0 | 1,397 |
#!/bin/bash -x
#
# Generated - do not edit!
#
# Macros
TOP=`pwd`
CND_PLATFORM=Cygwin_4.x-Windows
CND_CONF=Release
CND_DISTDIR=dist
CND_BUILDDIR=build
CND_DLIB_EXT=dll
NBTMPDIR=${CND_BUILDDIR}/${CND_CONF}/${CND_PLATFORM}/tmp-packaging
TMPDIRNAME=tmp-packaging
OUTPUT_PATH=${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/cons... | charley252/ch2528080_CSC11_48982 | Hmwk/Constructs_loop_c++/nbproject/Package-Release.bash | Shell | cc0-1.0 | 1,523 |
#!/bin/bash
export MASTER=$(mesos-resolve `cat /etc/mesos/zk` 2>/dev/null)
export MARATHON=$(echo $MASTER | sed 's/5050/8080/g')
curl -X POST -H "Content-Type: application/json" http://$MARATHON/v2/apps -d@sample-date-docker.json
| rucka/mesos-cluster-playground | apps/sample-date-docker.sh | Shell | cc0-1.0 | 231 |
#!/bin/bash
export LOAD_REQUEST_DIRECTORY=/kabob-load-requests
# retrieve the AllegroGraph port being used from $LOAD_REQUEST_DIRECTORY/agraph.port
export PLATFORM_KB_PORT=$(cat "${LOAD_REQUEST_DIRECTORY}/agraph.port")
export CONTAINER_NAME=$(cat "${LOAD_REQUEST_DIRECTORY}/agraph.container.name")
export PLATFORM_LEI... | bill-baumgartner/kabob | scripts/docker/allegrograph-specific/docker-env.sh | Shell | epl-1.0 | 685 |
#*******************************************************************************
# Copyright (c) 2011, 2016 Eurotech and/or its affiliates and others
#
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this dist... | muros-ct/kapua | dev-tools/src/main/vagrant/demo/deployScript/deploy-broker.sh | Shell | epl-1.0 | 5,812 |
#!/bin/sh
files=`find $1 -name "*.c" -o -name "*.h" -o -name "*.cpp" \
| sort \
| grep -v "Freeciv.h" \
| fgrep -v "_gen." \
| grep -v "fc_config.h" \
| grep -v dependencies \
| grep -v utility/md5\.. `
echo "# No Freeciv Copyright:"
echo "# Excludes: generated files, various... | freeciv/freeciv | tests/copyright.sh | Shell | gpl-2.0 | 593 |
append_bool() {
local section="$1"
local option="$2"
local value="$3"
local _loctmp
config_get_bool _loctmp "$section" "$option"
[ "$_loctmp" -gt 0 ] && append args "$value"
}
append_parm() {
local section="$1"
local option="$2"
local switch="$3"
local _loctmp
config_get _loctmp "$section" "$option"
[ -z "... | stevelord/PR30 | feeds/packages/ipv6/ahcpd/files/ahcp.sh | Shell | gpl-2.0 | 2,159 |
#!/bin/sh
OPTION="$1" # e.g. cache
WISH_NETWORK="$2"
log()
{
local MESSAGE="$1"
MESSAGE="$( date ) $0: $MESSAGE"
echo "$MESSAGE"
# /usr/bin/logger -s "$MESSAGE"
}
uptime_in_seconds()
{
cut -d'.' -f1 /proc/uptime
}
list_networks()
{
local network
ls -1 /var/www/networks | while read network; do {
# allo... | mehulsbhatt/kalua | openwrt-monitoring/meshrdf_cron.sh | Shell | gpl-2.0 | 14,281 |
gen_ssha512() {
local pw="$1"
while [ -z "${pw}" ]; do
echo -n "Password: "
read -s pw_1
echo ""
echo -n "Password (repeat): "
read -s pw_2
echo ""
if [[ "${pw_1}" = "${pw_2}" ]] && [[ "${pw_2}" = "${pw_2}" ]]; then
pw="${pw_1}"
fi
... | obreitwi/dot_zsh | functions.d/crypt.zsh | Shell | gpl-2.0 | 524 |
#!/system/bin/sh
# shellcheck disable=SC2039
# shellcheck disable=SC2086
# shellcheck disable=SC2181
# shellcheck disable=SC2155
# shellcheck disable=SC2166
#############################################################################
# Copyright (c) 2014 Linaro
# All rights reserved. This program and the accompanying ... | Linaro/test-definitions | automated/android/media-codecs-functional-tests/linaro-android-userspace-tests.sh | Shell | gpl-2.0 | 19,934 |
#!/bin/sh
# test start and stop of the threaded server (-T)
srcdir=${srcdir:-"."}
if [ "$srcdir" != "." ]
then
echo "Jumping over test"
exit 0
fi
LOG=stop03.log
rm -f $LOG
echo "initializing" >>$LOG
mkdir -p reg
../../index/zebraidx -l $LOG -c $srcdir/zebra1.cfg init || exit 1
#create a base to test on... | indexdata/idzebra | test/gils/stop03.sh | Shell | gpl-2.0 | 1,421 |
#!/usr/bin/env bash
#===============================================================================
#
# FILE: ex001.s100.train_recurrent_nnlm.sh
#
# USAGE: ./ex001.s100.train_recurrent_nnlm.sh
#
# DESCRIPTION:
#
# NOTES: ---
# AUTHOR: Hao Fang, hfang@uw.edu
# CREATED: 12/10... | hao-fang/UWNeuralNetLMRepo | examples/rnnlm.ex001.s100.basic.sh | Shell | gpl-2.0 | 1,433 |
#!/bin/bash
#================
# FILE : config.sh
#----------------
# PROJECT : OpenSuSE KIWI Image System
# COPYRIGHT : (c) 2006 SUSE LINUX Products GmbH. All rights reserved
# :
# AUTHOR : Robert Scwheikert <rschweikert@novell.com>
# :
# BELONGS TO : Operating S... | bgeuken/kiwi | doc/examples/extras/suse-11.4/suse-nebula-cloud/cloud_head/config.sh | Shell | gpl-2.0 | 1,981 |
#!/bin/sh
set -ex
# Compile rarely used C source files explicitly for self-testing.
# Target platform: Win32 (Cygwin)
#
# Prerequisites:
# * Cygwin v2.8+ (GCC 4.8.2)
# * curl ftp://ftp.gnu.org/gnu/classpath/classpath-0.93.tar.gz | tar zxf -
CC=gcc
SYST=cygwin
# Set current working directory to JCGO root:
cd $(dirnam... | ivmai/JCGO | mkjcgo/test-miscsrc-cygwin.sh | Shell | gpl-2.0 | 2,294 |
#!/bin/sh
# Copyright (C) 2009-2022 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program i... | autotools-mirror/automake | t/silent-c.sh | Shell | gpl-2.0 | 1,945 |
#!/bin/bash
# Copyright 2014 Johns Hopkins University (Author: Daniel Povey)
# 2016 Api.ai (Author: Ilya Platonov)
# Apache 2.0
# Begin configuration section.
stage=0
nj=4
cmd=run.pl
frames_per_chunk=20
extra_left_context_initial=0
min_active=200
max_active=7000
beam=15.0
lattice_beam=6.0
acwt=0.1 # not... | michellemorales/OpenMM | kaldi/egs/wsj/s5/steps/online/nnet3/decode.sh | Shell | gpl-2.0 | 5,979 |
echo "安装 Python等相关 到当前用户环境"
# 安装图片处理依赖
yum -y install patch libtiff-devel libjpeg-devel libzip-devel freetype-devel lcms2-devel libwebp-devel tcl-devel tk-devel
cat > /tmp/install_python_by_$USER.sh << EOM
cd $HOME
# 安装pyenv
if [ ! -d .pyenv ]; then
git clone https://github.com/yyuu/pyenv.git .pyenv
echo 'export... | mvj3/install | definitions/hadoop_centos/python.sh | Shell | gpl-2.0 | 1,144 |
#!/bin/bash
if [ ! -z $TRAVIS_BRANCH ] && [ "$TRAVIS_BRANCH" != "master" ] ; then
export UPLOADTOOL_SUFFIX=$TRAVIS_BRANCH
fi
# set up the release message to use
source ${TRAVIS_BUILD_DIR}/scripts/release-message.sh
cd ${TRAVIS_BUILD_DIR}/build
zip -r -y Subsurface-$VERSION.app.zip Subsurface.app
echo "Submitting t... | dirkhh/ssrftest | scripts/mac/after_success.sh | Shell | gpl-2.0 | 550 |
#!/bin/sh
$EXTRACTRC `find . -maxdepth 1 -name \*.rc -o -name \*.ui -o -name \*.kcfg` `find settings -name \*.rc -o -name \*.ui -o -name \*.kcfg` >> rc.cpp
$XGETTEXT `find . -maxdepth 1 -name \*.cc -o -name \*.cpp -o -name \*.h` `find settings -name \*.cc -o -name \*.cpp -o -name \*.h` -o $podir/kdevkrazy2.pot
rm -f rc... | KDE/kdev-krazy2 | Messages.sh | Shell | gpl-2.0 | 325 |
#!/bin/sh
# Copied from http://andrewdolby.com/articles/2016/continuous-deployment-for-qt-applications/
set -o errexit -o nounset
# Update platform
echo "Updating platform..."
# Install p7zip for packaging archive for deployment
sudo -E apt-get -yq --no-install-suggests --no-install-recommends --force-yes install p... | dmaone/CommonSense | Qt-build/travis-build-linux.sh | Shell | gpl-2.0 | 5,430 |
#!/bin/bash
#Barry Kauler 2009
#w001 now in /usr/sbin in the distro, called from /etc/rc.d/rc.update.
#w474 bugfix for 2.6.29 kernel, modules.dep different format.
#w478 old k2.6.18.1 has madwifi modules (ath_pci.ko) in /lib/modules/2.6.18.1/net.
#v423 now using busybox depmod, which generates modules.dep in "old" form... | woodenshoe-wi/woof-CE | woof-code/rootfs-skeleton/usr/sbin/updatenetmoduleslist.sh | Shell | gpl-2.0 | 2,768 |
#! /bin/sh
# Copyright (C) 2011-2017 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program ... | Starlink/automake | t/tap-xfail-tests.sh | Shell | gpl-2.0 | 1,757 |
#!/bin/sh
# Copyright (C) 2005-2012 MaNGOS project <http://getmangos.com/>
#
# This file is free software; as a special exception the author gives
# unlimited permission to copy and/or distribute it, with or without
# modifications, as long as this notice is preserved.
#
# This program is distributed in the hope that ... | kotishe/temp | contrib/extractor_binary/ExtractResources.sh | Shell | gpl-2.0 | 4,271 |
#!/bin/bash
# Copyright (C) Martin Schlemmer <azarah@nosferatu.za.org>
# Copyright (C) 2006 Sam Ravnborg <sam@ravnborg.org>
#
# Released under the terms of the GNU GPL
#
# Generate a cpio packed initramfs. It uses gen_init_cpio to generate
# the cpio archive, and then compresses it.
# The script may also be used to gen... | simone201/neak-kernel-sgs2 | scripts/gen_initramfs_list.sh | Shell | gpl-2.0 | 7,334 |
#!/bin/bash
# Remember to run this script using the command "source ./filename.sh"
# Search these processes for the session variable
# (they are run as the current user and have the DBUS session variable set)
compatiblePrograms=( nemo unity nautilus kdeinit kded4 pulseaudio trackerd )
# Attempt to get a program pid... | adamryczkowski/puppet-bootstrap | files/discover_session_bus_address.sh | Shell | gpl-2.0 | 942 |
#!/bin/sh
#
# Supported formats:
# fcoe=<networkdevice>:<dcb|nodcb>
# fcoe=<macaddress>:<dcb|nodcb>
#
# Note currently only nodcb is supported, the dcb option is reserved for
# future use.
#
# Note letters in the macaddress must be lowercase!
#
# Examples:
# fcoe=eth0:nodcb
# fcoe=4a:3f:4c:04:f8:d7:nodcb
[ -z "$fcoe" ... | fabiand/dracut | modules.d/95fcoe/parse-fcoe.sh | Shell | gpl-2.0 | 1,653 |
set -o errexit
set -o verbose
CONF_IN=structure.pdb
CONF_OUT=structure2.pdb
ASSIGNMENT=cell2.dat
DESIRED_FILES="$CONF_OUT $ASSIGNMENT"
RESULTFILE=results.tar
CLEANUP="traj* *.tpr"
### disable gmx automatic backups.
export GMX_MAXBACKUP=-1
### access the topologies sent to the worker
export GMXLIB=$PWD/gmxtopologies
... | cooperative-computing-lab/awe | awe-instance-data/gromacs/env.sh | Shell | gpl-2.0 | 1,476 |
#!/bin/sh
# Setup development environment on Mac OS X (tested with 10.6.8 and Xcode 3.2.6)
#
# $Id$
#
# Copyright 2011 Michael Tuexen, Joerg Mayer, Guy Harris (see AUTHORS file)
#
# Wireshark - Network traffic analyzer
# By Gerald Combs <gerald@wireshark.org>
# Copyright 1998 Gerald Combs
#
# This program is free softw... | arowser/wireshark-xcoin | macosx-setup.sh | Shell | gpl-2.0 | 55,565 |
env x='() { :;}; echo vulnerable' bash -c "echo this is a test"
env x='() { :;}; echo vulnerableSH' sh -c "echo this is a test"
| patbeagan1/AcerArchDev | bashscripts/checkBashVulnerablilities.sh | Shell | gpl-2.0 | 128 |
#!/bin/bash
#Developed by: Giuseppe Gangi (@ggangix)
#----BEGIN CONFIG----
number_list=my_list.txt #file contain phone numbers
message="Here my message. " #max 155 character
wait_time=15 #time to wait for send the next message. (in seconds)
count=1
#----END CONFIG------
cut_line=$(wc -l "$number_list" | cut -d" " -f... | ggangix/Bulk-Sms-Gammu | bulk-sms.sh | Shell | gpl-2.0 | 1,336 |
#!/bin/sh
test_description='Test cloning a repository larger than 2 gigabyte'
. ./test-lib.sh
test -z "$GIT_TEST_CLONE_2GB" &&
say "Skipping expensive 2GB clone test; enable it with GIT_TEST_CLONE_2GB=t" &&
test_done &&
exit
test_expect_success 'setup' '
git config pack.compression 0 &&
git config pack.depth 0 &&... | byang/line | t/t5705-clone-2gb.sh | Shell | gpl-2.0 | 1,072 |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.